local Torrent = ...

-- Register crenation model asset
Torrent:registerAssetId("models/crenationV3.fbx/Prefab", "JRV_TORRENT_CRENATION_PREFAB")

-- Register new material for the wall texture
Torrent:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_JRV_TORRENT",
	HasAlphaTest = false,
	AlbedoTexture = "RockWalls.png"
})

-- Register new material for the wall top texture
Torrent:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_JRV_TORRENT_TOP",
	HasAlphaTest = false,
	AlbedoTexture = "Water.png"
})

-- Register the wall asset
Torrent:register({
	DataType = "WALL_CONFIG",
	Id = "JRV_TORRENT",
	WallConfigName = "JRV_TORRENT",
	IsManuallyUnlocked = true,
	Material = "MATERIAL_JRV_TORRENT",
	MaterialTop = "MATERIAL_JRV_TORRENT_TOP",
	Crenation = "JRV_TORRENT_CRENATION_PREFAB",
	CrenationDistance = 1.35,
	StepLength = 4,
	Width = 6,
	Height = 0.5,
	UvTillingWall = 0.2,
	UvTillingTop = 0.15,
	WallOffsetY = 0,
	CrenationOffsetY = -1,
	CrenationOffsetZ = 0.27,
        IsManuallyUnlocked = false
})
